Subject: bootstrap phase attempts to run a directory

From: Christopher Baines <[email-masked]>
Date: Mon, 11 Jun 2018 23:50:08 +0100

I've just noticed that the erlang package has started failing to
build. It looks like the bootstrap phase is over eager, and attempts to
run the bootstrap directory.

I think I'll fix this by deleting the phase, when I get around to
merging the changes in #31678, but this might be affecting other
packages, or possible to sure up so it doesn't break under this
circumstance.

starting phase `bootstrap'
running './bootstrap'
Backtrace:
           8 (primitive-load "/gnu/store/g1n7gbvcqcaj9s41gk62x7crc34?")
In ice-9/eval.scm:
   191:35  7 (_ _)
In srfi/srfi-1.scm:
    640:9  6 (for-each #<procedure 80ea00 at /gnu/store/f95ghy8mx00?> ?)
In /gnu/store/f95ghy8mx00fc22nrvswvnpqlfdkf2nk-module-import/guix/build/gnu-build-system.scm:
   799:31  5 (_ _)
   196:20  4 (bootstrap #:bootstrap-scripts _)
In /gnu/store/f95ghy8mx00fc22nrvswvnpqlfdkf2nk-module-import/guix/build/utils.scm:
    178:8  3 (call-with-ascii-input-file _ _)
   831:24  2 (_ #<input: ./bootstrap 14>)
    792:2  1 (get-char* _)
In unknown file:
           0 (get-u8 #<input: ./bootstrap 14>)

ERROR: In procedure get-u8:
In procedure fport_read: Is a directory
builder for `/gnu/store/v5dshhj3bka541h12fk2xskmfj38y8qs-erlang-20.2.3.drv' failed with exit code 1
@ build-failed /gnu/store/v5dshhj3bka541h12fk2xskmfj38y8qs-erlang-20.2.3.drv - 1 builder for `/gnu/store/v5dshhj3bka541h12fk2xskmfj38y8qs-erlang-20.2.3.drv' failed with exit code 1
guix build: error: build failed: build of `/gnu/store/v5dshhj3bka541h12fk2xskmfj38y8qs-erlang-20.2.3.drv' failed